<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 20.100 registration form</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

</head>

<body>
    <div class="container jumbotron">
        <form id="form-login">
            <div class="row">
                <div class="col-sm-12">
                    <h4 class="text-center text-primary">Registration Form - Form đăng kí nhập cảnh</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>First Name <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-first-name"
                                        placeholder="Nhập first name">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Passport <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-passport" placeholder="Nhập passport">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Last Name <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-last-name"
                                        placeholder="Nhập last name">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Email</label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-email" placeholder="Nhập email">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Birthday <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-birthday" placeholder="Nhập birthday">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Country <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-country" placeholder="Nhập country">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Gender <span class="text-danger">(*)</span></label>
                                </div>
                                <div class="col-sm-8">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <input type="radio"  id="radio-gender" name="select-gender" value="male">
                                            <label for="male-gender">Male</label>
                                        </div>
                                        <div class="col-sm-4">
                                            <input type="radio"  id="radio-gender2" name="select-gender" value="female">
                                            <label for="female-gender">Female</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Region</label>
                                </div>
                                <div class="col-sm-8">
                                    <input class="form-control bg-light" id="inp-region" placeholder="Nhập region">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-2">
                    <label>Subject</label>
                </div>
                <div class="col-sm-10">
                    <textarea class="form-control" id="inp-subject"></textarea>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-right">
                    <button type="submit" class="btn btn-success" id="btn-send">Send</button>
                </div>
            </div>
        </form>
    </div>
</body>
<script>
    $(document).ready(function () {
        $("#form-login").on("submit", function (event) {
            event.preventDefault();
            onBtnSend();
        })
    });
    function onBtnSend() {
        var vObject = {
            firstname: "",
            lastname: "",
            birthday: "",
            gender: "",
            gender2:"",
            passport: "",
            email: "",
            country: "",
            region: "",
            subject: "",
        };
        readDataObject(vObject);
        var vDuLieu = validate(vObject);
        if (vDuLieu) {
            showDataObject(vObject);
        }
    }
    function readDataObject(paramObject) {
        paramObject.firstname = $("#inp-first-name").val().trim();
        paramObject.lastname = $("#inp-last-name").val().trim();
        paramObject.birthday = $("#inp-birthday").val().trim();
        paramObject.gender = $("#radio-gender").val();
        paramObject.gender2 = $("#radio-gender2").val();
        paramObject.passport = $("#inp-passport").val().trim();
        paramObject.email = $("#inp-email").val().trim();
        paramObject.country = $("#inp-country").val().trim();
        paramObject.region = $("#inp-region").val().trim();
        paramObject.subject = $("#inp-subject").val();
    }
    function validate(paramObject) {
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if (paramObject.firstname == "") {
            alert("Bạn chưa nhập First Name ");
            $("#inp-first-name").focus();
            return false;
        }
        if (paramObject.lastname == "") {
            alert("Bạn chưa nhập Last Name");
            $("#inp-last-name").focus();
            return false;
        }
        if (paramObject.birthday == "") {
            alert("Bạn nhập ngày sinh");
            $("#inp-birthday").focus();
            return false;
        }
        else if (!validateBirthday(paramObject.birthday)) {
            alert("Bạn nhập sai định dạng ngày \ tháng /\ năm");
            $("#inp-birthday").focus();
            return false;
        }
        if (paramObject.gender === "") {
            alert("Bạn chưa chọn giới tính");
            $("#radio-gender").focus();
            return false;
        }
        else if (paramObject.gender === "") {
            alert("Bạn chưa chọn giới tính");
            $("#radio-gender2").focus();
            return false;
        }
        if (paramObject.passport == "") {
            alert("Bạn chưa nhập Passport");
            $("#inp-passport").focus();
            return false;
        }
        if (paramObject.email == "") {
            alert("Bạn chưa nhập Email");
            $("#inp-email").focus();
            return false;
        }
        if (!vRegexStr.test(paramObject.email)) {
            alert("Email đã nhập không hợp lệ");
            $("#inp-email").focus();
            return false;
        }
        return true ;
    }
    function validateBirthday(paramBirthday) {
        if (/^([0-9]{2})\/([0-9]{2})\/([0-9]{4})$/.test(paramBirthday)) {
            return true;
        }
        return false;
    }
    //
    function showDataObject(paramObject) {
        console.log(paramObject);
        console.log(paramObject.firstname);
        console.log(paramObject.lastname);
        console.log(paramObject.country);
        console.log(paramObject.email);
    }
</script>

</html>